package com.mortals.xhx.module.company.service;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.busiz.req.H5Req;
import com.mortals.xhx.module.company.model.CompanyEntity;
import com.mortals.xhx.module.company.dao.CompanyDao;
/**
* CompanyService
*
* 企业基本信息 service接口
*
* @author zxfei
* @date 2025-04-27
*/
public interface CompanyService extends ICRUDService<CompanyEntity,Long>{

    CompanyDao getDao();

    /**
     * H5注册
     * @param req
     * @return
     */
    CompanyEntity getCompanyByH5(H5Req req);
}