package com.mortals.xhx.module.declare.model.vo;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.declare.model.DeclareEntity;
import java.util.ArrayList;
import java.util.List;

import com.mortals.xhx.module.declare.model.DeclareFinImagesEntity;
import com.mortals.xhx.module.declare.model.DeclareImagesEntity;
import com.mortals.xhx.module.evaluation.model.EvaluationInfoEntity;
import lombok.Data;
import com.mortals.framework.annotation.Excel;
import java.math.BigDecimal;
import java.util.Date;
/**
* 企业代办申报视图对象
*
* @author zxfei
* @date 2025-04-27
*/
@Data
public class DeclareVo extends BaseEntityLong {

    /** 主键ID，主键，自增长列表 */
    private transient List <Long> idList;

    private List<DeclareFinImagesEntity> declareFinImagesList=new ArrayList<>();

    private List<DeclareImagesEntity> declareImagesList=new ArrayList<>();

    private List<EvaluationInfoEntity> evaluationInfoList=new ArrayList<>();

    /** 开始 创建时间 */
    private transient String createTimeStart;

    /** 结束 创建时间 */
    private transient String createTimeEnd;

    private transient String phone;

    /**
     * 代办人idList
     */
    private transient List <Long> agentUserIdList;


}