package com.mortals.xhx.module.staff.service;
import com.mortals.framework.common.Rest;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.staff.model.StaffEntity;
import com.mortals.xhx.module.staff.dao.StaffDao;
/**
* StaffService
*
* 代办帮办人员 service接口
*
* @author zxfei
* @date 2025-05-08
*/
public interface StaffService extends ICRUDService<StaffEntity,Long>{

    StaffDao getDao();

    Rest<Void> updateAgentUserRecordNum(Long agentUserId, Context context);

    Rest<Void> updateAgentUserTotalScore(Long agentUserId, Context context);


}