package com.mortals.xhx.module.base.model.vo;

import lombok.Data;

import java.util.List;
@Data
public class GroupAreaInfo {


    /**
     * 一体化的父id
     */
    private String iid;

    /**
     * 一体化的父id
     */
    private String pid;
    /**
     * 是否有下级区域（True.是，False.否）
     */
    private String haveSonArea;
    /**
     * 是否有下级部门（True.是，False.否）
     */
    private String haveSonDept;
    /**
     * 是否获取部门（true.是，false.否）
     */
    private String haveGetDept;
    /**
     * 是否获取事项列表（true.是，false.否）
     */
    private String haveGetMatterList;
    /**
     * 区域编码
     */
    private String areaCode;
    /**
     * 区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)
     */
    private Integer areaLevel;
    /**
     * 名称简称
     */
    private String shortName;
    /**
     * 访问地址
     */
    private String domain;
    /**
     * 区域状态 (0.停用，1.正常)
     */
    private String status;

    private List<GroupAreaInfo> sonAreas;


}
