package com.mortals.xhx.module.declare.model;

import java.util.List;
import com.mortals.xhx.module.declare.model.DeclareFinImagesEntity;
/**
* 企业代办申报办结图片查询对象
*
* @author zxfei
* @date 2025-04-27
*/
public class DeclareFinImagesQuery extends DeclareFinImagesEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 申报id,对应所属 declare.id */
    private Long declareIdStart;

    /** 结束 申报id,对应所属 declare.id */
    private Long declareIdEnd;

    /** 增加 申报id,对应所属 declare.id */
    private Long declareIdIncrement;

    /** 申报id,对应所属 declare.id列表 */
    private List <Long> declareIdList;

    /** 申报id,对应所属 declare.id排除列表 */
    private List <Long> declareIdNotList;

    /** 图片U */
    private List<String> imagePathList;

    /** 图片U排除列表 */
    private List <String> imagePathNotList;
    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<DeclareFinImagesQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<DeclareFinImagesQuery> andConditionList;

    public DeclareFinImagesQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 申报id,对应所属 declare.id
    * @return declareIdStart
    */
    public Long getDeclareIdStart(){
        return this.declareIdStart;
    }

    /**
    * 设置 开始 申报id,对应所属 declare.id
    * @param declareIdStart
    */
    public void setDeclareIdStart(Long declareIdStart){
        this.declareIdStart = declareIdStart;
    }

    /**
    * 获取 结束 申报id,对应所属 declare.id
    * @return $declareIdEnd
    */
    public Long getDeclareIdEnd(){
        return this.declareIdEnd;
    }

    /**
    * 设置 结束 申报id,对应所属 declare.id
    * @param declareIdEnd
    */
    public void setDeclareIdEnd(Long declareIdEnd){
        this.declareIdEnd = declareIdEnd;
    }

    /**
    * 获取 增加 申报id,对应所属 declare.id
    * @return declareIdIncrement
    */
    public Long getDeclareIdIncrement(){
        return this.declareIdIncrement;
    }

    /**
    * 设置 增加 申报id,对应所属 declare.id
    * @param declareIdIncrement
    */
    public void setDeclareIdIncrement(Long declareIdIncrement){
        this.declareIdIncrement = declareIdIncrement;
    }

    /**
    * 获取 申报id,对应所属 declare.id
    * @return declareIdList
    */
    public List<Long> getDeclareIdList(){
        return this.declareIdList;
    }

    /**
    * 设置 申报id,对应所属 declare.id
    * @param declareIdList
    */
    public void setDeclareIdList(List<Long> declareIdList){
        this.declareIdList = declareIdList;
    }

    /**
    * 获取 申报id,对应所属 declare.id
    * @return declareIdNotList
    */
    public List<Long> getDeclareIdNotList(){
        return this.declareIdNotList;
    }

    /**
    * 设置 申报id,对应所属 declare.id
    * @param declareIdNotList
    */
    public void setDeclareIdNotList(List<Long> declareIdNotList){
        this.declareIdNotList = declareIdNotList;
    }


    /**
    * 获取 图片U
    * @return imagePathList
    */
    public List<String> getImagePathList(){
        return this.imagePathList;
    }

    /**
    * 设置 图片U
    * @param imagePathList
    */
    public void setImagePathList(List<String> imagePathList){
        this.imagePathList = imagePathList;
    }

    /**
    * 获取 图片U
    * @return imagePathNotList
    */
    public List<String> getImagePathNotList(){
        return this.imagePathNotList;
    }

    /**
    * 设置 图片U
    * @param imagePathNotList
    */
    public void setImagePathNotList(List<String> imagePathNotList){
        this.imagePathNotList = imagePathNotList;
    }

    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public DeclareFinImagesQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public DeclareFinImagesQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public DeclareFinImagesQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public DeclareFinImagesQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public DeclareFinImagesQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 主键ID，主键，自增长
        * @param idNotList
        */
        public DeclareFinImagesQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  申报id,对应所属 declare.id
    * @param declareId
    */
    public DeclareFinImagesQuery declareId(Long declareId){
	    setDeclareId(declareId);
		return this;
    }
	
	 /**
    * 设置 开始 申报id,对应所属 declare.id
    * @param declareIdStart
    */
    public DeclareFinImagesQuery declareIdStart(Long declareIdStart){
		this.declareIdStart = declareIdStart;
		return this;
    }

    /**
    * 设置 结束 申报id,对应所属 declare.id
    * @param declareIdEnd
    */
    public DeclareFinImagesQuery declareIdEnd(Long declareIdEnd){
		this.declareIdEnd = declareIdEnd;
		return this;
    }

    /**
    * 设置 增加 申报id,对应所属 declare.id
    * @param declareIdIncrement
    */
    public DeclareFinImagesQuery declareIdIncrement(Long declareIdIncrement){
		this.declareIdIncrement = declareIdIncrement;
		return this;
    }

    /**
    * 设置 申报id,对应所属 declare.id
    * @param declareIdList
    */
    public DeclareFinImagesQuery declareIdList(List<Long> declareIdList){
        this.declareIdList = declareIdList;
		return this;
        }

        /**
        * 设置 申报id,对应所属 declare.id
        * @param declareIdNotList
        */
        public DeclareFinImagesQuery declareIdNotList(List<Long> declareIdNotList){
        this.declareIdNotList = declareIdNotList;
        return this;
        }


	/**
    * 设置 图片U
    * @param imagePath
    */
    public DeclareFinImagesQuery imagePath(String imagePath){
        setImagePath(imagePath);
		return this;
    }

    /**
    * 设置 图片U
    * @param imagePathList
    */
    public DeclareFinImagesQuery imagePathList(List<String> imagePathList){
        this.imagePathList = imagePathList;
		return this;
    }


	/**
    * 设置 备注
    * @param remark
    */
    public DeclareFinImagesQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public DeclareFinImagesQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public DeclareFinImagesQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public DeclareFinImagesQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public DeclareFinImagesQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public DeclareFinImagesQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public DeclareFinImagesQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public DeclareFinImagesQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }



    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<DeclareFinImagesQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<DeclareFinImagesQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<DeclareFinImagesQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<DeclareFinImagesQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}