package com.mortals.xhx.module.declare.model;

import java.util.List;
import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.declare.model.DeclareEntity;
/**
 * 企业代办申报查询对象
 *
 * @author zxfei
 * @date 2025-05-12
 */
public class DeclareQuery extends DeclareEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 事项id */
    private Long matterIdStart;

    /** 结束 事项id */
    private Long matterIdEnd;

    /** 增加 事项id */
    private Long matterIdIncrement;

    /** 事项id列表 */
    private List <Long> matterIdList;

    /** 事项id排除列表 */
    private List <Long> matterIdNotList;

    /** 事项名称 */
    private List<String> matterNameList;

    /** 事项名称排除列表 */
    private List <String> matterNameNotList;
    /** 事项编码 */
    private List<String> matterCodeList;

    /** 事项编码排除列表 */
    private List <String> matterCodeNotList;
    /** 区域名称 */
    private List<String> areaNameList;

    /** 区域名称排除列表 */
    private List <String> areaNameNotList;
    /** 开始 办理单位ID */
    private Long deptIdStart;

    /** 结束 办理单位ID */
    private Long deptIdEnd;

    /** 增加 办理单位ID */
    private Long deptIdIncrement;

    /** 办理单位ID列表 */
    private List <Long> deptIdList;

    /** 办理单位ID排除列表 */
    private List <Long> deptIdNotList;

    /** 办理单位名称 */
    private List<String> deptNameList;

    /** 办理单位名称排除列表 */
    private List <String> deptNameNotList;
    /** 申请人姓名 */
    private List<String> applyNameList;

    /** 申请人姓名排除列表 */
    private List <String> applyNameNotList;
    /** 开始 所属园区id */
    private Long parkIdStart;

    /** 结束 所属园区id */
    private Long parkIdEnd;

    /** 增加 所属园区id */
    private Long parkIdIncrement;

    /** 所属园区id列表 */
    private List <Long> parkIdList;

    /** 所属园区id排除列表 */
    private List <Long> parkIdNotList;

    /** 园区名称 */
    private List<String> parkNameList;

    /** 园区名称排除列表 */
    private List <String> parkNameNotList;
    /** 开始 分类ID */
    private Long categoryIdStart;

    /** 结束 分类ID */
    private Long categoryIdEnd;

    /** 增加 分类ID */
    private Long categoryIdIncrement;

    /** 分类ID列表 */
    private List <Long> categoryIdList;

    /** 分类ID排除列表 */
    private List <Long> categoryIdNotList;

    /** 分类编码 */
    private List<String> categoryCodeList;

    /** 分类编码排除列表 */
    private List <String> categoryCodeNotList;
    /** 分类名称 */
    private List<String> categoryNameList;

    /** 分类名称排除列表 */
    private List <String> categoryNameNotList;
    /** 提交诉求内容 */
    private List<String> contentList;

    /** 提交诉求内容排除列表 */
    private List <String> contentNotList;
    /** 开始 提交申报时间 */
    private String submitTimeStart;

    /** 结束 提交申报时间 */
    private String submitTimeEnd;

    /** 办理结果 */
    private List<String> resultList;

    /** 办理结果排除列表 */
    private List <String> resultNotList;
    /** 开始 办理完结时间 */
    private String finTimeStart;

    /** 结束 办理完结时间 */
    private String finTimeEnd;

    /** 开始 申报状态(0.草稿,1.办理中,2.完结) */
    private Integer declareStatusStart;

    /** 结束 申报状态(0.草稿,1.办理中,2.完结) */
    private Integer declareStatusEnd;

    /** 增加 申报状态(0.草稿,1.办理中,2.完结) */
    private Integer declareStatusIncrement;

    /** 申报状态(0.草稿,1.办理中,2.完结)列表 */
    private List <Integer> declareStatusList;

    /** 申报状态(0.草稿,1.办理中,2.完结)排除列表 */
    private List <Integer> declareStatusNotList;

    /** 开始 排序字段 */
    private Integer sortStart;

    /** 结束 排序字段 */
    private Integer sortEnd;

    /** 增加 排序字段 */
    private Integer sortIncrement;

    /** 排序字段列表 */
    private List <Integer> sortList;

    /** 排序字段排除列表 */
    private List <Integer> sortNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 创建用户名称 */
    private List<String> createUserNameList;

    /** 创建用户名称排除列表 */
    private List <String> createUserNameNotList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 开始 所属公司id */
    private Long companyIdStart;

    /** 结束 所属公司id */
    private Long companyIdEnd;

    /** 增加 所属公司id */
    private Long companyIdIncrement;

    /** 所属公司id列表 */
    private List <Long> companyIdList;

    /** 所属公司id排除列表 */
    private List <Long> companyIdNotList;

    /** 公司名称 */
    private List<String> companyNameList;

    /** 公司名称排除列表 */
    private List <String> companyNameNotList;
    /** 开始 申请人id */
    private Long applyIdStart;

    /** 结束 申请人id */
    private Long applyIdEnd;

    /** 增加 申请人id */
    private Long applyIdIncrement;

    /** 申请人id列表 */
    private List <Long> applyIdList;

    /** 申请人id排除列表 */
    private List <Long> applyIdNotList;

    /** 申请人openId */
    private List<String> applyOpenIdList;

    /** 申请人openId排除列表 */
    private List <String> applyOpenIdNotList;
    /** 开始 代办人id */
    private Long agentUserIdStart;

    /** 结束 代办人id */
    private Long agentUserIdEnd;

    /** 增加 代办人id */
    private Long agentUserIdIncrement;

    /** 代办人id列表 */
    private List <Long> agentUserIdList;

    /** 代办人id排除列表 */
    private List <Long> agentUserIdNotList;

    /** 代办人名称 */
    private List<String> agentUserNameList;

    /** 代办人名称排除列表 */
    private List <String> agentUserNameNotList;
    /** 开始 分派时间 */
    private String assignTimeStart;

    /** 结束 分派时间 */
    private String assignTimeEnd;

    /** 开始 分配人id */
    private Long assignUserIdStart;

    /** 结束 分配人id */
    private Long assignUserIdEnd;

    /** 增加 分配人id */
    private Long assignUserIdIncrement;

    /** 分配人id列表 */
    private List <Long> assignUserIdList;

    /** 分配人id排除列表 */
    private List <Long> assignUserIdNotList;

    /** 分配人名称 */
    private List<String> assignUserNameList;

    /** 分配人名称排除列表 */
    private List <String> assignUserNameNotList;
    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<DeclareQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<DeclareQuery> andConditionList;

    public DeclareQuery(){}

    /**
     * 获取 开始 主键ID，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 主键ID，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 主键ID，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 主键ID，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 主键ID，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 事项id
     * @return matterIdStart
     */
    public Long getMatterIdStart(){
        return this.matterIdStart;
    }

    /**
     * 设置 开始 事项id
     * @param matterIdStart
     */
    public void setMatterIdStart(Long matterIdStart){
        this.matterIdStart = matterIdStart;
    }

    /**
     * 获取 结束 事项id
     * @return $matterIdEnd
     */
    public Long getMatterIdEnd(){
        return this.matterIdEnd;
    }

    /**
     * 设置 结束 事项id
     * @param matterIdEnd
     */
    public void setMatterIdEnd(Long matterIdEnd){
        this.matterIdEnd = matterIdEnd;
    }

    /**
     * 获取 增加 事项id
     * @return matterIdIncrement
     */
    public Long getMatterIdIncrement(){
        return this.matterIdIncrement;
    }

    /**
     * 设置 增加 事项id
     * @param matterIdIncrement
     */
    public void setMatterIdIncrement(Long matterIdIncrement){
        this.matterIdIncrement = matterIdIncrement;
    }

    /**
     * 获取 事项id
     * @return matterIdList
     */
    public List<Long> getMatterIdList(){
        return this.matterIdList;
    }

    /**
     * 设置 事项id
     * @param matterIdList
     */
    public void setMatterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
    }

    /**
     * 获取 事项id
     * @return matterIdNotList
     */
    public List<Long> getMatterIdNotList(){
        return this.matterIdNotList;
    }

    /**
     * 设置 事项id
     * @param matterIdNotList
     */
    public void setMatterIdNotList(List<Long> matterIdNotList){
        this.matterIdNotList = matterIdNotList;
    }


    /**
     * 获取 事项名称
     * @return matterNameList
     */
    public List<String> getMatterNameList(){
        return this.matterNameList;
    }

    /**
     * 设置 事项名称
     * @param matterNameList
     */
    public void setMatterNameList(List<String> matterNameList){
        this.matterNameList = matterNameList;
    }

    /**
     * 获取 事项名称
     * @return matterNameNotList
     */
    public List<String> getMatterNameNotList(){
        return this.matterNameNotList;
    }

    /**
     * 设置 事项名称
     * @param matterNameNotList
     */
    public void setMatterNameNotList(List<String> matterNameNotList){
        this.matterNameNotList = matterNameNotList;
    }

    /**
     * 获取 事项编码
     * @return matterCodeList
     */
    public List<String> getMatterCodeList(){
        return this.matterCodeList;
    }

    /**
     * 设置 事项编码
     * @param matterCodeList
     */
    public void setMatterCodeList(List<String> matterCodeList){
        this.matterCodeList = matterCodeList;
    }

    /**
     * 获取 事项编码
     * @return matterCodeNotList
     */
    public List<String> getMatterCodeNotList(){
        return this.matterCodeNotList;
    }

    /**
     * 设置 事项编码
     * @param matterCodeNotList
     */
    public void setMatterCodeNotList(List<String> matterCodeNotList){
        this.matterCodeNotList = matterCodeNotList;
    }

    /**
     * 获取 区域名称
     * @return areaNameList
     */
    public List<String> getAreaNameList(){
        return this.areaNameList;
    }

    /**
     * 设置 区域名称
     * @param areaNameList
     */
    public void setAreaNameList(List<String> areaNameList){
        this.areaNameList = areaNameList;
    }

    /**
     * 获取 区域名称
     * @return areaNameNotList
     */
    public List<String> getAreaNameNotList(){
        return this.areaNameNotList;
    }

    /**
     * 设置 区域名称
     * @param areaNameNotList
     */
    public void setAreaNameNotList(List<String> areaNameNotList){
        this.areaNameNotList = areaNameNotList;
    }

    /**
     * 获取 开始 办理单位ID
     * @return deptIdStart
     */
    public Long getDeptIdStart(){
        return this.deptIdStart;
    }

    /**
     * 设置 开始 办理单位ID
     * @param deptIdStart
     */
    public void setDeptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
    }

    /**
     * 获取 结束 办理单位ID
     * @return $deptIdEnd
     */
    public Long getDeptIdEnd(){
        return this.deptIdEnd;
    }

    /**
     * 设置 结束 办理单位ID
     * @param deptIdEnd
     */
    public void setDeptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
    }

    /**
     * 获取 增加 办理单位ID
     * @return deptIdIncrement
     */
    public Long getDeptIdIncrement(){
        return this.deptIdIncrement;
    }

    /**
     * 设置 增加 办理单位ID
     * @param deptIdIncrement
     */
    public void setDeptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
    }

    /**
     * 获取 办理单位ID
     * @return deptIdList
     */
    public List<Long> getDeptIdList(){
        return this.deptIdList;
    }

    /**
     * 设置 办理单位ID
     * @param deptIdList
     */
    public void setDeptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
    }

    /**
     * 获取 办理单位ID
     * @return deptIdNotList
     */
    public List<Long> getDeptIdNotList(){
        return this.deptIdNotList;
    }

    /**
     * 设置 办理单位ID
     * @param deptIdNotList
     */
    public void setDeptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
    }


    /**
     * 获取 办理单位名称
     * @return deptNameList
     */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
     * 设置 办理单位名称
     * @param deptNameList
     */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }

    /**
     * 获取 办理单位名称
     * @return deptNameNotList
     */
    public List<String> getDeptNameNotList(){
        return this.deptNameNotList;
    }

    /**
     * 设置 办理单位名称
     * @param deptNameNotList
     */
    public void setDeptNameNotList(List<String> deptNameNotList){
        this.deptNameNotList = deptNameNotList;
    }

    /**
     * 获取 申请人姓名
     * @return applyNameList
     */
    public List<String> getApplyNameList(){
        return this.applyNameList;
    }

    /**
     * 设置 申请人姓名
     * @param applyNameList
     */
    public void setApplyNameList(List<String> applyNameList){
        this.applyNameList = applyNameList;
    }

    /**
     * 获取 申请人姓名
     * @return applyNameNotList
     */
    public List<String> getApplyNameNotList(){
        return this.applyNameNotList;
    }

    /**
     * 设置 申请人姓名
     * @param applyNameNotList
     */
    public void setApplyNameNotList(List<String> applyNameNotList){
        this.applyNameNotList = applyNameNotList;
    }

    /**
     * 获取 开始 所属园区id
     * @return parkIdStart
     */
    public Long getParkIdStart(){
        return this.parkIdStart;
    }

    /**
     * 设置 开始 所属园区id
     * @param parkIdStart
     */
    public void setParkIdStart(Long parkIdStart){
        this.parkIdStart = parkIdStart;
    }

    /**
     * 获取 结束 所属园区id
     * @return $parkIdEnd
     */
    public Long getParkIdEnd(){
        return this.parkIdEnd;
    }

    /**
     * 设置 结束 所属园区id
     * @param parkIdEnd
     */
    public void setParkIdEnd(Long parkIdEnd){
        this.parkIdEnd = parkIdEnd;
    }

    /**
     * 获取 增加 所属园区id
     * @return parkIdIncrement
     */
    public Long getParkIdIncrement(){
        return this.parkIdIncrement;
    }

    /**
     * 设置 增加 所属园区id
     * @param parkIdIncrement
     */
    public void setParkIdIncrement(Long parkIdIncrement){
        this.parkIdIncrement = parkIdIncrement;
    }

    /**
     * 获取 所属园区id
     * @return parkIdList
     */
    public List<Long> getParkIdList(){
        return this.parkIdList;
    }

    /**
     * 设置 所属园区id
     * @param parkIdList
     */
    public void setParkIdList(List<Long> parkIdList){
        this.parkIdList = parkIdList;
    }

    /**
     * 获取 所属园区id
     * @return parkIdNotList
     */
    public List<Long> getParkIdNotList(){
        return this.parkIdNotList;
    }

    /**
     * 设置 所属园区id
     * @param parkIdNotList
     */
    public void setParkIdNotList(List<Long> parkIdNotList){
        this.parkIdNotList = parkIdNotList;
    }


    /**
     * 获取 园区名称
     * @return parkNameList
     */
    public List<String> getParkNameList(){
        return this.parkNameList;
    }

    /**
     * 设置 园区名称
     * @param parkNameList
     */
    public void setParkNameList(List<String> parkNameList){
        this.parkNameList = parkNameList;
    }

    /**
     * 获取 园区名称
     * @return parkNameNotList
     */
    public List<String> getParkNameNotList(){
        return this.parkNameNotList;
    }

    /**
     * 设置 园区名称
     * @param parkNameNotList
     */
    public void setParkNameNotList(List<String> parkNameNotList){
        this.parkNameNotList = parkNameNotList;
    }

    /**
     * 获取 开始 分类ID
     * @return categoryIdStart
     */
    public Long getCategoryIdStart(){
        return this.categoryIdStart;
    }

    /**
     * 设置 开始 分类ID
     * @param categoryIdStart
     */
    public void setCategoryIdStart(Long categoryIdStart){
        this.categoryIdStart = categoryIdStart;
    }

    /**
     * 获取 结束 分类ID
     * @return $categoryIdEnd
     */
    public Long getCategoryIdEnd(){
        return this.categoryIdEnd;
    }

    /**
     * 设置 结束 分类ID
     * @param categoryIdEnd
     */
    public void setCategoryIdEnd(Long categoryIdEnd){
        this.categoryIdEnd = categoryIdEnd;
    }

    /**
     * 获取 增加 分类ID
     * @return categoryIdIncrement
     */
    public Long getCategoryIdIncrement(){
        return this.categoryIdIncrement;
    }

    /**
     * 设置 增加 分类ID
     * @param categoryIdIncrement
     */
    public void setCategoryIdIncrement(Long categoryIdIncrement){
        this.categoryIdIncrement = categoryIdIncrement;
    }

    /**
     * 获取 分类ID
     * @return categoryIdList
     */
    public List<Long> getCategoryIdList(){
        return this.categoryIdList;
    }

    /**
     * 设置 分类ID
     * @param categoryIdList
     */
    public void setCategoryIdList(List<Long> categoryIdList){
        this.categoryIdList = categoryIdList;
    }

    /**
     * 获取 分类ID
     * @return categoryIdNotList
     */
    public List<Long> getCategoryIdNotList(){
        return this.categoryIdNotList;
    }

    /**
     * 设置 分类ID
     * @param categoryIdNotList
     */
    public void setCategoryIdNotList(List<Long> categoryIdNotList){
        this.categoryIdNotList = categoryIdNotList;
    }


    /**
     * 获取 分类编码
     * @return categoryCodeList
     */
    public List<String> getCategoryCodeList(){
        return this.categoryCodeList;
    }

    /**
     * 设置 分类编码
     * @param categoryCodeList
     */
    public void setCategoryCodeList(List<String> categoryCodeList){
        this.categoryCodeList = categoryCodeList;
    }

    /**
     * 获取 分类编码
     * @return categoryCodeNotList
     */
    public List<String> getCategoryCodeNotList(){
        return this.categoryCodeNotList;
    }

    /**
     * 设置 分类编码
     * @param categoryCodeNotList
     */
    public void setCategoryCodeNotList(List<String> categoryCodeNotList){
        this.categoryCodeNotList = categoryCodeNotList;
    }

    /**
     * 获取 分类名称
     * @return categoryNameList
     */
    public List<String> getCategoryNameList(){
        return this.categoryNameList;
    }

    /**
     * 设置 分类名称
     * @param categoryNameList
     */
    public void setCategoryNameList(List<String> categoryNameList){
        this.categoryNameList = categoryNameList;
    }

    /**
     * 获取 分类名称
     * @return categoryNameNotList
     */
    public List<String> getCategoryNameNotList(){
        return this.categoryNameNotList;
    }

    /**
     * 设置 分类名称
     * @param categoryNameNotList
     */
    public void setCategoryNameNotList(List<String> categoryNameNotList){
        this.categoryNameNotList = categoryNameNotList;
    }

    /**
     * 获取 提交诉求内容
     * @return contentList
     */
    public List<String> getContentList(){
        return this.contentList;
    }

    /**
     * 设置 提交诉求内容
     * @param contentList
     */
    public void setContentList(List<String> contentList){
        this.contentList = contentList;
    }

    /**
     * 获取 提交诉求内容
     * @return contentNotList
     */
    public List<String> getContentNotList(){
        return this.contentNotList;
    }

    /**
     * 设置 提交诉求内容
     * @param contentNotList
     */
    public void setContentNotList(List<String> contentNotList){
        this.contentNotList = contentNotList;
    }

    /**
     * 获取 开始 提交申报时间
     * @return submitTimeStart
     */
    public String getSubmitTimeStart(){
        return this.submitTimeStart;
    }

    /**
     * 设置 开始 提交申报时间
     * @param submitTimeStart
     */
    public void setSubmitTimeStart(String submitTimeStart){
        this.submitTimeStart = submitTimeStart;
    }

    /**
     * 获取 结束 提交申报时间
     * @return submitTimeEnd
     */
    public String getSubmitTimeEnd(){
        return this.submitTimeEnd;
    }

    /**
     * 设置 结束 提交申报时间
     * @param submitTimeEnd
     */
    public void setSubmitTimeEnd(String submitTimeEnd){
        this.submitTimeEnd = submitTimeEnd;
    }

    /**
     * 获取 办理结果
     * @return resultList
     */
    public List<String> getResultList(){
        return this.resultList;
    }

    /**
     * 设置 办理结果
     * @param resultList
     */
    public void setResultList(List<String> resultList){
        this.resultList = resultList;
    }

    /**
     * 获取 办理结果
     * @return resultNotList
     */
    public List<String> getResultNotList(){
        return this.resultNotList;
    }

    /**
     * 设置 办理结果
     * @param resultNotList
     */
    public void setResultNotList(List<String> resultNotList){
        this.resultNotList = resultNotList;
    }

    /**
     * 获取 开始 办理完结时间
     * @return finTimeStart
     */
    public String getFinTimeStart(){
        return this.finTimeStart;
    }

    /**
     * 设置 开始 办理完结时间
     * @param finTimeStart
     */
    public void setFinTimeStart(String finTimeStart){
        this.finTimeStart = finTimeStart;
    }

    /**
     * 获取 结束 办理完结时间
     * @return finTimeEnd
     */
    public String getFinTimeEnd(){
        return this.finTimeEnd;
    }

    /**
     * 设置 结束 办理完结时间
     * @param finTimeEnd
     */
    public void setFinTimeEnd(String finTimeEnd){
        this.finTimeEnd = finTimeEnd;
    }

    /**
     * 获取 开始 申报状态(0.草稿,1.办理中,2.完结)
     * @return declareStatusStart
     */
    public Integer getDeclareStatusStart(){
        return this.declareStatusStart;
    }

    /**
     * 设置 开始 申报状态(0.草稿,1.办理中,2.完结)
     * @param declareStatusStart
     */
    public void setDeclareStatusStart(Integer declareStatusStart){
        this.declareStatusStart = declareStatusStart;
    }

    /**
     * 获取 结束 申报状态(0.草稿,1.办理中,2.完结)
     * @return $declareStatusEnd
     */
    public Integer getDeclareStatusEnd(){
        return this.declareStatusEnd;
    }

    /**
     * 设置 结束 申报状态(0.草稿,1.办理中,2.完结)
     * @param declareStatusEnd
     */
    public void setDeclareStatusEnd(Integer declareStatusEnd){
        this.declareStatusEnd = declareStatusEnd;
    }

    /**
     * 获取 增加 申报状态(0.草稿,1.办理中,2.完结)
     * @return declareStatusIncrement
     */
    public Integer getDeclareStatusIncrement(){
        return this.declareStatusIncrement;
    }

    /**
     * 设置 增加 申报状态(0.草稿,1.办理中,2.完结)
     * @param declareStatusIncrement
     */
    public void setDeclareStatusIncrement(Integer declareStatusIncrement){
        this.declareStatusIncrement = declareStatusIncrement;
    }

    /**
     * 获取 申报状态(0.草稿,1.办理中,2.完结)
     * @return declareStatusList
     */
    public List<Integer> getDeclareStatusList(){
        return this.declareStatusList;
    }

    /**
     * 设置 申报状态(0.草稿,1.办理中,2.完结)
     * @param declareStatusList
     */
    public void setDeclareStatusList(List<Integer> declareStatusList){
        this.declareStatusList = declareStatusList;
    }

    /**
     * 获取 申报状态(0.草稿,1.办理中,2.完结)
     * @return declareStatusNotList
     */
    public List<Integer> getDeclareStatusNotList(){
        return this.declareStatusNotList;
    }

    /**
     * 设置 申报状态(0.草稿,1.办理中,2.完结)
     * @param declareStatusNotList
     */
    public void setDeclareStatusNotList(List<Integer> declareStatusNotList){
        this.declareStatusNotList = declareStatusNotList;
    }


    /**
     * 获取 开始 排序字段
     * @return sortStart
     */
    public Integer getSortStart(){
        return this.sortStart;
    }

    /**
     * 设置 开始 排序字段
     * @param sortStart
     */
    public void setSortStart(Integer sortStart){
        this.sortStart = sortStart;
    }

    /**
     * 获取 结束 排序字段
     * @return $sortEnd
     */
    public Integer getSortEnd(){
        return this.sortEnd;
    }

    /**
     * 设置 结束 排序字段
     * @param sortEnd
     */
    public void setSortEnd(Integer sortEnd){
        this.sortEnd = sortEnd;
    }

    /**
     * 获取 增加 排序字段
     * @return sortIncrement
     */
    public Integer getSortIncrement(){
        return this.sortIncrement;
    }

    /**
     * 设置 增加 排序字段
     * @param sortIncrement
     */
    public void setSortIncrement(Integer sortIncrement){
        this.sortIncrement = sortIncrement;
    }

    /**
     * 获取 排序字段
     * @return sortList
     */
    public List<Integer> getSortList(){
        return this.sortList;
    }

    /**
     * 设置 排序字段
     * @param sortList
     */
    public void setSortList(List<Integer> sortList){
        this.sortList = sortList;
    }

    /**
     * 获取 排序字段
     * @return sortNotList
     */
    public List<Integer> getSortNotList(){
        return this.sortNotList;
    }

    /**
     * 设置 排序字段
     * @param sortNotList
     */
    public void setSortNotList(List<Integer> sortNotList){
        this.sortNotList = sortNotList;
    }


    /**
     * 获取 备注
     * @return remarkList
     */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
     * 获取 备注
     * @return remarkNotList
     */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
     * 设置 备注
     * @param remarkNotList
     */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 创建用户名称
     * @return createUserNameList
     */
    public List<String> getCreateUserNameList(){
        return this.createUserNameList;
    }

    /**
     * 设置 创建用户名称
     * @param createUserNameList
     */
    public void setCreateUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
    }

    /**
     * 获取 创建用户名称
     * @return createUserNameNotList
     */
    public List<String> getCreateUserNameNotList(){
        return this.createUserNameNotList;
    }

    /**
     * 设置 创建用户名称
     * @param createUserNameNotList
     */
    public void setCreateUserNameNotList(List<String> createUserNameNotList){
        this.createUserNameNotList = createUserNameNotList;
    }

    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 开始 所属公司id
     * @return companyIdStart
     */
    public Long getCompanyIdStart(){
        return this.companyIdStart;
    }

    /**
     * 设置 开始 所属公司id
     * @param companyIdStart
     */
    public void setCompanyIdStart(Long companyIdStart){
        this.companyIdStart = companyIdStart;
    }

    /**
     * 获取 结束 所属公司id
     * @return $companyIdEnd
     */
    public Long getCompanyIdEnd(){
        return this.companyIdEnd;
    }

    /**
     * 设置 结束 所属公司id
     * @param companyIdEnd
     */
    public void setCompanyIdEnd(Long companyIdEnd){
        this.companyIdEnd = companyIdEnd;
    }

    /**
     * 获取 增加 所属公司id
     * @return companyIdIncrement
     */
    public Long getCompanyIdIncrement(){
        return this.companyIdIncrement;
    }

    /**
     * 设置 增加 所属公司id
     * @param companyIdIncrement
     */
    public void setCompanyIdIncrement(Long companyIdIncrement){
        this.companyIdIncrement = companyIdIncrement;
    }

    /**
     * 获取 所属公司id
     * @return companyIdList
     */
    public List<Long> getCompanyIdList(){
        return this.companyIdList;
    }

    /**
     * 设置 所属公司id
     * @param companyIdList
     */
    public void setCompanyIdList(List<Long> companyIdList){
        this.companyIdList = companyIdList;
    }

    /**
     * 获取 所属公司id
     * @return companyIdNotList
     */
    public List<Long> getCompanyIdNotList(){
        return this.companyIdNotList;
    }

    /**
     * 设置 所属公司id
     * @param companyIdNotList
     */
    public void setCompanyIdNotList(List<Long> companyIdNotList){
        this.companyIdNotList = companyIdNotList;
    }


    /**
     * 获取 公司名称
     * @return companyNameList
     */
    public List<String> getCompanyNameList(){
        return this.companyNameList;
    }

    /**
     * 设置 公司名称
     * @param companyNameList
     */
    public void setCompanyNameList(List<String> companyNameList){
        this.companyNameList = companyNameList;
    }

    /**
     * 获取 公司名称
     * @return companyNameNotList
     */
    public List<String> getCompanyNameNotList(){
        return this.companyNameNotList;
    }

    /**
     * 设置 公司名称
     * @param companyNameNotList
     */
    public void setCompanyNameNotList(List<String> companyNameNotList){
        this.companyNameNotList = companyNameNotList;
    }

    /**
     * 获取 开始 申请人id
     * @return applyIdStart
     */
    public Long getApplyIdStart(){
        return this.applyIdStart;
    }

    /**
     * 设置 开始 申请人id
     * @param applyIdStart
     */
    public void setApplyIdStart(Long applyIdStart){
        this.applyIdStart = applyIdStart;
    }

    /**
     * 获取 结束 申请人id
     * @return $applyIdEnd
     */
    public Long getApplyIdEnd(){
        return this.applyIdEnd;
    }

    /**
     * 设置 结束 申请人id
     * @param applyIdEnd
     */
    public void setApplyIdEnd(Long applyIdEnd){
        this.applyIdEnd = applyIdEnd;
    }

    /**
     * 获取 增加 申请人id
     * @return applyIdIncrement
     */
    public Long getApplyIdIncrement(){
        return this.applyIdIncrement;
    }

    /**
     * 设置 增加 申请人id
     * @param applyIdIncrement
     */
    public void setApplyIdIncrement(Long applyIdIncrement){
        this.applyIdIncrement = applyIdIncrement;
    }

    /**
     * 获取 申请人id
     * @return applyIdList
     */
    public List<Long> getApplyIdList(){
        return this.applyIdList;
    }

    /**
     * 设置 申请人id
     * @param applyIdList
     */
    public void setApplyIdList(List<Long> applyIdList){
        this.applyIdList = applyIdList;
    }

    /**
     * 获取 申请人id
     * @return applyIdNotList
     */
    public List<Long> getApplyIdNotList(){
        return this.applyIdNotList;
    }

    /**
     * 设置 申请人id
     * @param applyIdNotList
     */
    public void setApplyIdNotList(List<Long> applyIdNotList){
        this.applyIdNotList = applyIdNotList;
    }


    /**
     * 获取 申请人openId
     * @return applyOpenIdList
     */
    public List<String> getApplyOpenIdList(){
        return this.applyOpenIdList;
    }

    /**
     * 设置 申请人openId
     * @param applyOpenIdList
     */
    public void setApplyOpenIdList(List<String> applyOpenIdList){
        this.applyOpenIdList = applyOpenIdList;
    }

    /**
     * 获取 申请人openId
     * @return applyOpenIdNotList
     */
    public List<String> getApplyOpenIdNotList(){
        return this.applyOpenIdNotList;
    }

    /**
     * 设置 申请人openId
     * @param applyOpenIdNotList
     */
    public void setApplyOpenIdNotList(List<String> applyOpenIdNotList){
        this.applyOpenIdNotList = applyOpenIdNotList;
    }

    /**
     * 获取 开始 代办人id
     * @return agentUserIdStart
     */
    public Long getAgentUserIdStart(){
        return this.agentUserIdStart;
    }

    /**
     * 设置 开始 代办人id
     * @param agentUserIdStart
     */
    public void setAgentUserIdStart(Long agentUserIdStart){
        this.agentUserIdStart = agentUserIdStart;
    }

    /**
     * 获取 结束 代办人id
     * @return $agentUserIdEnd
     */
    public Long getAgentUserIdEnd(){
        return this.agentUserIdEnd;
    }

    /**
     * 设置 结束 代办人id
     * @param agentUserIdEnd
     */
    public void setAgentUserIdEnd(Long agentUserIdEnd){
        this.agentUserIdEnd = agentUserIdEnd;
    }

    /**
     * 获取 增加 代办人id
     * @return agentUserIdIncrement
     */
    public Long getAgentUserIdIncrement(){
        return this.agentUserIdIncrement;
    }

    /**
     * 设置 增加 代办人id
     * @param agentUserIdIncrement
     */
    public void setAgentUserIdIncrement(Long agentUserIdIncrement){
        this.agentUserIdIncrement = agentUserIdIncrement;
    }

    /**
     * 获取 代办人id
     * @return agentUserIdList
     */
    public List<Long> getAgentUserIdList(){
        return this.agentUserIdList;
    }

    /**
     * 设置 代办人id
     * @param agentUserIdList
     */
    public void setAgentUserIdList(List<Long> agentUserIdList){
        this.agentUserIdList = agentUserIdList;
    }

    /**
     * 获取 代办人id
     * @return agentUserIdNotList
     */
    public List<Long> getAgentUserIdNotList(){
        return this.agentUserIdNotList;
    }

    /**
     * 设置 代办人id
     * @param agentUserIdNotList
     */
    public void setAgentUserIdNotList(List<Long> agentUserIdNotList){
        this.agentUserIdNotList = agentUserIdNotList;
    }


    /**
     * 获取 代办人名称
     * @return agentUserNameList
     */
    public List<String> getAgentUserNameList(){
        return this.agentUserNameList;
    }

    /**
     * 设置 代办人名称
     * @param agentUserNameList
     */
    public void setAgentUserNameList(List<String> agentUserNameList){
        this.agentUserNameList = agentUserNameList;
    }

    /**
     * 获取 代办人名称
     * @return agentUserNameNotList
     */
    public List<String> getAgentUserNameNotList(){
        return this.agentUserNameNotList;
    }

    /**
     * 设置 代办人名称
     * @param agentUserNameNotList
     */
    public void setAgentUserNameNotList(List<String> agentUserNameNotList){
        this.agentUserNameNotList = agentUserNameNotList;
    }

    /**
     * 获取 开始 分派时间
     * @return assignTimeStart
     */
    public String getAssignTimeStart(){
        return this.assignTimeStart;
    }

    /**
     * 设置 开始 分派时间
     * @param assignTimeStart
     */
    public void setAssignTimeStart(String assignTimeStart){
        this.assignTimeStart = assignTimeStart;
    }

    /**
     * 获取 结束 分派时间
     * @return assignTimeEnd
     */
    public String getAssignTimeEnd(){
        return this.assignTimeEnd;
    }

    /**
     * 设置 结束 分派时间
     * @param assignTimeEnd
     */
    public void setAssignTimeEnd(String assignTimeEnd){
        this.assignTimeEnd = assignTimeEnd;
    }

    /**
     * 获取 开始 分配人id
     * @return assignUserIdStart
     */
    public Long getAssignUserIdStart(){
        return this.assignUserIdStart;
    }

    /**
     * 设置 开始 分配人id
     * @param assignUserIdStart
     */
    public void setAssignUserIdStart(Long assignUserIdStart){
        this.assignUserIdStart = assignUserIdStart;
    }

    /**
     * 获取 结束 分配人id
     * @return $assignUserIdEnd
     */
    public Long getAssignUserIdEnd(){
        return this.assignUserIdEnd;
    }

    /**
     * 设置 结束 分配人id
     * @param assignUserIdEnd
     */
    public void setAssignUserIdEnd(Long assignUserIdEnd){
        this.assignUserIdEnd = assignUserIdEnd;
    }

    /**
     * 获取 增加 分配人id
     * @return assignUserIdIncrement
     */
    public Long getAssignUserIdIncrement(){
        return this.assignUserIdIncrement;
    }

    /**
     * 设置 增加 分配人id
     * @param assignUserIdIncrement
     */
    public void setAssignUserIdIncrement(Long assignUserIdIncrement){
        this.assignUserIdIncrement = assignUserIdIncrement;
    }

    /**
     * 获取 分配人id
     * @return assignUserIdList
     */
    public List<Long> getAssignUserIdList(){
        return this.assignUserIdList;
    }

    /**
     * 设置 分配人id
     * @param assignUserIdList
     */
    public void setAssignUserIdList(List<Long> assignUserIdList){
        this.assignUserIdList = assignUserIdList;
    }

    /**
     * 获取 分配人id
     * @return assignUserIdNotList
     */
    public List<Long> getAssignUserIdNotList(){
        return this.assignUserIdNotList;
    }

    /**
     * 设置 分配人id
     * @param assignUserIdNotList
     */
    public void setAssignUserIdNotList(List<Long> assignUserIdNotList){
        this.assignUserIdNotList = assignUserIdNotList;
    }


    /**
     * 获取 分配人名称
     * @return assignUserNameList
     */
    public List<String> getAssignUserNameList(){
        return this.assignUserNameList;
    }

    /**
     * 设置 分配人名称
     * @param assignUserNameList
     */
    public void setAssignUserNameList(List<String> assignUserNameList){
        this.assignUserNameList = assignUserNameList;
    }

    /**
     * 获取 分配人名称
     * @return assignUserNameNotList
     */
    public List<String> getAssignUserNameNotList(){
        return this.assignUserNameNotList;
    }

    /**
     * 设置 分配人名称
     * @param assignUserNameNotList
     */
    public void setAssignUserNameNotList(List<String> assignUserNameNotList){
        this.assignUserNameNotList = assignUserNameNotList;
    }

    /**
     * 设置  主键ID，主键，自增长
     * @param id
     */
    public DeclareQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public DeclareQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public DeclareQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public DeclareQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public DeclareQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idNotList
     */
    public DeclareQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  事项id
     * @param matterId
     */
    public DeclareQuery matterId(Long matterId){
        setMatterId(matterId);
        return this;
    }

    /**
     * 设置 开始 事项id
     * @param matterIdStart
     */
    public DeclareQuery matterIdStart(Long matterIdStart){
        this.matterIdStart = matterIdStart;
        return this;
    }

    /**
     * 设置 结束 事项id
     * @param matterIdEnd
     */
    public DeclareQuery matterIdEnd(Long matterIdEnd){
        this.matterIdEnd = matterIdEnd;
        return this;
    }

    /**
     * 设置 增加 事项id
     * @param matterIdIncrement
     */
    public DeclareQuery matterIdIncrement(Long matterIdIncrement){
        this.matterIdIncrement = matterIdIncrement;
        return this;
    }

    /**
     * 设置 事项id
     * @param matterIdList
     */
    public DeclareQuery matterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
        return this;
    }

    /**
     * 设置 事项id
     * @param matterIdNotList
     */
    public DeclareQuery matterIdNotList(List<Long> matterIdNotList){
        this.matterIdNotList = matterIdNotList;
        return this;
    }


    /**
     * 设置 事项名称
     * @param matterName
     */
    public DeclareQuery matterName(String matterName){
        setMatterName(matterName);
        return this;
    }

    /**
     * 设置 事项名称
     * @param matterNameList
     */
    public DeclareQuery matterNameList(List<String> matterNameList){
        this.matterNameList = matterNameList;
        return this;
    }


    /**
     * 设置 事项编码
     * @param matterCode
     */
    public DeclareQuery matterCode(String matterCode){
        setMatterCode(matterCode);
        return this;
    }

    /**
     * 设置 事项编码
     * @param matterCodeList
     */
    public DeclareQuery matterCodeList(List<String> matterCodeList){
        this.matterCodeList = matterCodeList;
        return this;
    }


    /**
     * 设置 区域名称
     * @param areaName
     */
    public DeclareQuery areaName(String areaName){
        setAreaName(areaName);
        return this;
    }

    /**
     * 设置 区域名称
     * @param areaNameList
     */
    public DeclareQuery areaNameList(List<String> areaNameList){
        this.areaNameList = areaNameList;
        return this;
    }

    /**
     * 设置  办理单位ID
     * @param deptId
     */
    public DeclareQuery deptId(Long deptId){
        setDeptId(deptId);
        return this;
    }

    /**
     * 设置 开始 办理单位ID
     * @param deptIdStart
     */
    public DeclareQuery deptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
        return this;
    }

    /**
     * 设置 结束 办理单位ID
     * @param deptIdEnd
     */
    public DeclareQuery deptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
        return this;
    }

    /**
     * 设置 增加 办理单位ID
     * @param deptIdIncrement
     */
    public DeclareQuery deptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
        return this;
    }

    /**
     * 设置 办理单位ID
     * @param deptIdList
     */
    public DeclareQuery deptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
        return this;
    }

    /**
     * 设置 办理单位ID
     * @param deptIdNotList
     */
    public DeclareQuery deptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
        return this;
    }


    /**
     * 设置 办理单位名称
     * @param deptName
     */
    public DeclareQuery deptName(String deptName){
        setDeptName(deptName);
        return this;
    }

    /**
     * 设置 办理单位名称
     * @param deptNameList
     */
    public DeclareQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
        return this;
    }


    /**
     * 设置 申请人姓名
     * @param applyName
     */
    public DeclareQuery applyName(String applyName){
        setApplyName(applyName);
        return this;
    }

    /**
     * 设置 申请人姓名
     * @param applyNameList
     */
    public DeclareQuery applyNameList(List<String> applyNameList){
        this.applyNameList = applyNameList;
        return this;
    }

    /**
     * 设置  所属园区id
     * @param parkId
     */
    public DeclareQuery parkId(Long parkId){
        setParkId(parkId);
        return this;
    }

    /**
     * 设置 开始 所属园区id
     * @param parkIdStart
     */
    public DeclareQuery parkIdStart(Long parkIdStart){
        this.parkIdStart = parkIdStart;
        return this;
    }

    /**
     * 设置 结束 所属园区id
     * @param parkIdEnd
     */
    public DeclareQuery parkIdEnd(Long parkIdEnd){
        this.parkIdEnd = parkIdEnd;
        return this;
    }

    /**
     * 设置 增加 所属园区id
     * @param parkIdIncrement
     */
    public DeclareQuery parkIdIncrement(Long parkIdIncrement){
        this.parkIdIncrement = parkIdIncrement;
        return this;
    }

    /**
     * 设置 所属园区id
     * @param parkIdList
     */
    public DeclareQuery parkIdList(List<Long> parkIdList){
        this.parkIdList = parkIdList;
        return this;
    }

    /**
     * 设置 所属园区id
     * @param parkIdNotList
     */
    public DeclareQuery parkIdNotList(List<Long> parkIdNotList){
        this.parkIdNotList = parkIdNotList;
        return this;
    }


    /**
     * 设置 园区名称
     * @param parkName
     */
    public DeclareQuery parkName(String parkName){
        setParkName(parkName);
        return this;
    }

    /**
     * 设置 园区名称
     * @param parkNameList
     */
    public DeclareQuery parkNameList(List<String> parkNameList){
        this.parkNameList = parkNameList;
        return this;
    }

    /**
     * 设置  分类ID
     * @param categoryId
     */
    public DeclareQuery categoryId(Long categoryId){
        setCategoryId(categoryId);
        return this;
    }

    /**
     * 设置 开始 分类ID
     * @param categoryIdStart
     */
    public DeclareQuery categoryIdStart(Long categoryIdStart){
        this.categoryIdStart = categoryIdStart;
        return this;
    }

    /**
     * 设置 结束 分类ID
     * @param categoryIdEnd
     */
    public DeclareQuery categoryIdEnd(Long categoryIdEnd){
        this.categoryIdEnd = categoryIdEnd;
        return this;
    }

    /**
     * 设置 增加 分类ID
     * @param categoryIdIncrement
     */
    public DeclareQuery categoryIdIncrement(Long categoryIdIncrement){
        this.categoryIdIncrement = categoryIdIncrement;
        return this;
    }

    /**
     * 设置 分类ID
     * @param categoryIdList
     */
    public DeclareQuery categoryIdList(List<Long> categoryIdList){
        this.categoryIdList = categoryIdList;
        return this;
    }

    /**
     * 设置 分类ID
     * @param categoryIdNotList
     */
    public DeclareQuery categoryIdNotList(List<Long> categoryIdNotList){
        this.categoryIdNotList = categoryIdNotList;
        return this;
    }


    /**
     * 设置 分类编码
     * @param categoryCode
     */
    public DeclareQuery categoryCode(String categoryCode){
        setCategoryCode(categoryCode);
        return this;
    }

    /**
     * 设置 分类编码
     * @param categoryCodeList
     */
    public DeclareQuery categoryCodeList(List<String> categoryCodeList){
        this.categoryCodeList = categoryCodeList;
        return this;
    }


    /**
     * 设置 分类名称
     * @param categoryName
     */
    public DeclareQuery categoryName(String categoryName){
        setCategoryName(categoryName);
        return this;
    }

    /**
     * 设置 分类名称
     * @param categoryNameList
     */
    public DeclareQuery categoryNameList(List<String> categoryNameList){
        this.categoryNameList = categoryNameList;
        return this;
    }


    /**
     * 设置 提交诉求内容
     * @param content
     */
    public DeclareQuery content(String content){
        setContent(content);
        return this;
    }

    /**
     * 设置 提交诉求内容
     * @param contentList
     */
    public DeclareQuery contentList(List<String> contentList){
        this.contentList = contentList;
        return this;
    }



    /**
     * 设置 办理结果
     * @param result
     */
    public DeclareQuery result(String result){
        setResult(result);
        return this;
    }

    /**
     * 设置 办理结果
     * @param resultList
     */
    public DeclareQuery resultList(List<String> resultList){
        this.resultList = resultList;
        return this;
    }


    /**
     * 设置  申报状态(0.草稿,1.办理中,2.完结)
     * @param declareStatus
     */
    public DeclareQuery declareStatus(Integer declareStatus){
        setDeclareStatus(declareStatus);
        return this;
    }

    /**
     * 设置 开始 申报状态(0.草稿,1.办理中,2.完结)
     * @param declareStatusStart
     */
    public DeclareQuery declareStatusStart(Integer declareStatusStart){
        this.declareStatusStart = declareStatusStart;
        return this;
    }

    /**
     * 设置 结束 申报状态(0.草稿,1.办理中,2.完结)
     * @param declareStatusEnd
     */
    public DeclareQuery declareStatusEnd(Integer declareStatusEnd){
        this.declareStatusEnd = declareStatusEnd;
        return this;
    }

    /**
     * 设置 增加 申报状态(0.草稿,1.办理中,2.完结)
     * @param declareStatusIncrement
     */
    public DeclareQuery declareStatusIncrement(Integer declareStatusIncrement){
        this.declareStatusIncrement = declareStatusIncrement;
        return this;
    }

    /**
     * 设置 申报状态(0.草稿,1.办理中,2.完结)
     * @param declareStatusList
     */
    public DeclareQuery declareStatusList(List<Integer> declareStatusList){
        this.declareStatusList = declareStatusList;
        return this;
    }

    /**
     * 设置 申报状态(0.草稿,1.办理中,2.完结)
     * @param declareStatusNotList
     */
    public DeclareQuery declareStatusNotList(List<Integer> declareStatusNotList){
        this.declareStatusNotList = declareStatusNotList;
        return this;
    }

    /**
     * 设置  排序字段
     * @param sort
     */
    public DeclareQuery sort(Integer sort){
        setSort(sort);
        return this;
    }

    /**
     * 设置 开始 排序字段
     * @param sortStart
     */
    public DeclareQuery sortStart(Integer sortStart){
        this.sortStart = sortStart;
        return this;
    }

    /**
     * 设置 结束 排序字段
     * @param sortEnd
     */
    public DeclareQuery sortEnd(Integer sortEnd){
        this.sortEnd = sortEnd;
        return this;
    }

    /**
     * 设置 增加 排序字段
     * @param sortIncrement
     */
    public DeclareQuery sortIncrement(Integer sortIncrement){
        this.sortIncrement = sortIncrement;
        return this;
    }

    /**
     * 设置 排序字段
     * @param sortList
     */
    public DeclareQuery sortList(List<Integer> sortList){
        this.sortList = sortList;
        return this;
    }

    /**
     * 设置 排序字段
     * @param sortNotList
     */
    public DeclareQuery sortNotList(List<Integer> sortNotList){
        this.sortNotList = sortNotList;
        return this;
    }


    /**
     * 设置 备注
     * @param remark
     */
    public DeclareQuery remark(String remark){
        setRemark(remark);
        return this;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public DeclareQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
        return this;
    }

    /**
     * 设置  创建用户
     * @param createUserId
     */
    public DeclareQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public DeclareQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public DeclareQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public DeclareQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public DeclareQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public DeclareQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }


    /**
     * 设置 创建用户名称
     * @param createUserName
     */
    public DeclareQuery createUserName(String createUserName){
        setCreateUserName(createUserName);
        return this;
    }

    /**
     * 设置 创建用户名称
     * @param createUserNameList
     */
    public DeclareQuery createUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
        return this;
    }



    /**
     * 设置  所属公司id
     * @param companyId
     */
    public DeclareQuery companyId(Long companyId){
        setCompanyId(companyId);
        return this;
    }

    /**
     * 设置 开始 所属公司id
     * @param companyIdStart
     */
    public DeclareQuery companyIdStart(Long companyIdStart){
        this.companyIdStart = companyIdStart;
        return this;
    }

    /**
     * 设置 结束 所属公司id
     * @param companyIdEnd
     */
    public DeclareQuery companyIdEnd(Long companyIdEnd){
        this.companyIdEnd = companyIdEnd;
        return this;
    }

    /**
     * 设置 增加 所属公司id
     * @param companyIdIncrement
     */
    public DeclareQuery companyIdIncrement(Long companyIdIncrement){
        this.companyIdIncrement = companyIdIncrement;
        return this;
    }

    /**
     * 设置 所属公司id
     * @param companyIdList
     */
    public DeclareQuery companyIdList(List<Long> companyIdList){
        this.companyIdList = companyIdList;
        return this;
    }

    /**
     * 设置 所属公司id
     * @param companyIdNotList
     */
    public DeclareQuery companyIdNotList(List<Long> companyIdNotList){
        this.companyIdNotList = companyIdNotList;
        return this;
    }


    /**
     * 设置 公司名称
     * @param companyName
     */
    public DeclareQuery companyName(String companyName){
        setCompanyName(companyName);
        return this;
    }

    /**
     * 设置 公司名称
     * @param companyNameList
     */
    public DeclareQuery companyNameList(List<String> companyNameList){
        this.companyNameList = companyNameList;
        return this;
    }

    /**
     * 设置  申请人id
     * @param applyId
     */
    public DeclareQuery applyId(Long applyId){
        setApplyId(applyId);
        return this;
    }

    /**
     * 设置 开始 申请人id
     * @param applyIdStart
     */
    public DeclareQuery applyIdStart(Long applyIdStart){
        this.applyIdStart = applyIdStart;
        return this;
    }

    /**
     * 设置 结束 申请人id
     * @param applyIdEnd
     */
    public DeclareQuery applyIdEnd(Long applyIdEnd){
        this.applyIdEnd = applyIdEnd;
        return this;
    }

    /**
     * 设置 增加 申请人id
     * @param applyIdIncrement
     */
    public DeclareQuery applyIdIncrement(Long applyIdIncrement){
        this.applyIdIncrement = applyIdIncrement;
        return this;
    }

    /**
     * 设置 申请人id
     * @param applyIdList
     */
    public DeclareQuery applyIdList(List<Long> applyIdList){
        this.applyIdList = applyIdList;
        return this;
    }

    /**
     * 设置 申请人id
     * @param applyIdNotList
     */
    public DeclareQuery applyIdNotList(List<Long> applyIdNotList){
        this.applyIdNotList = applyIdNotList;
        return this;
    }


    /**
     * 设置 申请人openId
     * @param applyOpenId
     */
    public DeclareQuery applyOpenId(String applyOpenId){
        setApplyOpenId(applyOpenId);
        return this;
    }

    /**
     * 设置 申请人openId
     * @param applyOpenIdList
     */
    public DeclareQuery applyOpenIdList(List<String> applyOpenIdList){
        this.applyOpenIdList = applyOpenIdList;
        return this;
    }

    /**
     * 设置  代办人id
     * @param agentUserId
     */
    public DeclareQuery agentUserId(Long agentUserId){
        setAgentUserId(agentUserId);
        return this;
    }

    /**
     * 设置 开始 代办人id
     * @param agentUserIdStart
     */
    public DeclareQuery agentUserIdStart(Long agentUserIdStart){
        this.agentUserIdStart = agentUserIdStart;
        return this;
    }

    /**
     * 设置 结束 代办人id
     * @param agentUserIdEnd
     */
    public DeclareQuery agentUserIdEnd(Long agentUserIdEnd){
        this.agentUserIdEnd = agentUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 代办人id
     * @param agentUserIdIncrement
     */
    public DeclareQuery agentUserIdIncrement(Long agentUserIdIncrement){
        this.agentUserIdIncrement = agentUserIdIncrement;
        return this;
    }

    /**
     * 设置 代办人id
     * @param agentUserIdList
     */
    public DeclareQuery agentUserIdList(List<Long> agentUserIdList){
        this.agentUserIdList = agentUserIdList;
        return this;
    }

    /**
     * 设置 代办人id
     * @param agentUserIdNotList
     */
    public DeclareQuery agentUserIdNotList(List<Long> agentUserIdNotList){
        this.agentUserIdNotList = agentUserIdNotList;
        return this;
    }


    /**
     * 设置 代办人名称
     * @param agentUserName
     */
    public DeclareQuery agentUserName(String agentUserName){
        setAgentUserName(agentUserName);
        return this;
    }

    /**
     * 设置 代办人名称
     * @param agentUserNameList
     */
    public DeclareQuery agentUserNameList(List<String> agentUserNameList){
        this.agentUserNameList = agentUserNameList;
        return this;
    }


    /**
     * 设置  分配人id
     * @param assignUserId
     */
    public DeclareQuery assignUserId(Long assignUserId){
        setAssignUserId(assignUserId);
        return this;
    }

    /**
     * 设置 开始 分配人id
     * @param assignUserIdStart
     */
    public DeclareQuery assignUserIdStart(Long assignUserIdStart){
        this.assignUserIdStart = assignUserIdStart;
        return this;
    }

    /**
     * 设置 结束 分配人id
     * @param assignUserIdEnd
     */
    public DeclareQuery assignUserIdEnd(Long assignUserIdEnd){
        this.assignUserIdEnd = assignUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 分配人id
     * @param assignUserIdIncrement
     */
    public DeclareQuery assignUserIdIncrement(Long assignUserIdIncrement){
        this.assignUserIdIncrement = assignUserIdIncrement;
        return this;
    }

    /**
     * 设置 分配人id
     * @param assignUserIdList
     */
    public DeclareQuery assignUserIdList(List<Long> assignUserIdList){
        this.assignUserIdList = assignUserIdList;
        return this;
    }

    /**
     * 设置 分配人id
     * @param assignUserIdNotList
     */
    public DeclareQuery assignUserIdNotList(List<Long> assignUserIdNotList){
        this.assignUserIdNotList = assignUserIdNotList;
        return this;
    }


    /**
     * 设置 分配人名称
     * @param assignUserName
     */
    public DeclareQuery assignUserName(String assignUserName){
        setAssignUserName(assignUserName);
        return this;
    }

    /**
     * 设置 分配人名称
     * @param assignUserNameList
     */
    public DeclareQuery assignUserNameList(List<String> assignUserNameList){
        this.assignUserNameList = assignUserNameList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<DeclareQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<DeclareQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<DeclareQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<DeclareQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}